Bug 132010 - Problems with programlistingco element
Problems with programlistingco element
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: passivetex (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-07 16:36 EDT by Dave Malcolm
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-30 09:32:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Malcolm 2004-09-07 16:36:16 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.2)
Gecko/20040809

Description of problem:
I've got a DocBook HOWTO containing this text:
<programlistingco>
  <areaspec><area id="need-comment" units="linerange"
coords="3"></area></areaspec>
  <programlisting>mkdir -p /tmp/product/
cat &gt; /tmp/product/.buildstamp &lt;&lt; EOF
# Buildstamp file
anaconda
bluesky
Fedora
EOF</programlisting>
  <calloutlist><callout arearefs="need-comment"><para>FIXME: callout
list</para></callout></calloutlist>
</programlistingco>

I believe the above is correct; if not please point out my error!

Without the above fragment my document converts to html-nochunks and
to pdf properly.  With it, I get HTML output, but with no indication
of the callout line, and with PDF output, the conversion fails:
[dmalcolm@localhost HOWTO]$ xmlto pdf HOWTO.xml
Making portrait pages on USletter paper (8.5inx11in)
This is pdfTeX, Version 3.14159-1.10b (Web2C 7.4.5)
(./tmp.fo{/usr/share/texmf/pdftex/config/pdftex.cfg}
LaTeX2e <2001/06/01>
Babel <v3.7h> and hyphenation patterns for american, french, german,
ngerman, n
ohyphenation, loaded.
xmltex version: 2002/06/25 v1.9 (Exp):
(/usr/share/texmf/tex/xmltex/xmltex.cfg)
No File: tmp.cfg (/usr/share/texmf/tex/xmltex/passivetex/fotex.xmt)
(/usr/share/texmf/tex/latex/base/article.cls
Document Class: article 2001/04/21 v1.4e Standard LaTeX document class
(/usr/share/texmf/tex/latex/base/size10.clo))
(/usr/share/texmf/tex/xmltex/passivetex/fotex.sty
)
No file tmp.aux.
(/usr/share/texmf/tex/latex/cyrillic/t2acmr.fd)
(/usr/share/texmf/tex/latex/base/ts1cmr.fd)
(/usr/share/texmf/tex/latex/psnfss/t1ptm.fd)
No file tmp.out.
No file tmp.out.
INFO: Using normal, i.e. nonfrench-spacing in document
(/usr/share/texmf/tex/latex/psnfss/t1phv.fd)
(/usr/share/texmf/tex/latex/amsfonts/umsa.fd)
(/usr/share/texmf/tex/latex/amsfonts/umsb.fd)
(/usr/share/texmf/tex/latex/wasysym/uwasy.fd)
(/usr/share/texmf/tex/latex/misc/ustmry.fd)
(/usr/share/texmf/tex/latex/psnfss/ts1ptm.fd)
[1{/usr/share/texmf/dvips/config/
pdftex.map}] (/usr/share/texmf/tex/latex/psnfss/t1pcr.fd) [2] [3] [4]
 
! LaTeX Error: Something's wrong--perhaps a missing \item.
 
See the LaTeX manual or LaTeX Companion for explanation.
Type  H <return>  for immediate help.
 ...
                                                   
l.381 /></fo:block></fo:list-item-label>
                                        <fo:list-item-body
start-indent="bod...
 
?
! Emergency stop.
 ...
                                                   
l.381 /></fo:block></fo:list-item-label>
                                        <fo:list-item-body
start-indent="bod...
 
!  ==> Fatal error occurred, the output PDF file is not finished!
Transcript written on tmp.log.


Version-Release number of selected component (if applicable):
xmlto-0.0.18-2

How reproducible:
Always

Steps to Reproduce:
See above    

Additional info:
Comment 1 Matthew Miller 2006-07-10 19:08:48 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 2 John Thacker 2006-10-30 09:32:56 EST
Closing per lack of response to previous request for information.
Note that FC3 and FC4 are supported by Fedora Legacy for security
fixes only.  Please install a still supported version and retest.  If
it still occurs on FC5 or FC6, please reopen and assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.

Note You need to log in before you can comment on or make changes to this bug.